## python-django 1.6.11

=== debian/changelog ===
python-django (1.6.11-0ubuntu1.3) trusty-security; urgency=medium

  * SECURITY UPDATE: content spoofing in the default 404 page
    - debian/patches/CVE-2019-3498.patch: properly quote string in
      django/views/defaults.py.
    - CVE-2019-3498

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 08 Jan 2019 14:00:29 -0500

python-django (1.6.11-0ubuntu1.2) trusty-security; urgency=medium

  * SECURITY UPDATE: DoS in urlize and urlizetrunc template filters
    - debian/patches/CVE-2018-7536.patch: fix backtracking in
      django/utils/html.py, add test to tests/utils_tests/test_html.py.
    - CVE-2018-7536
  * SECURITY UPDATE: DoS in truncatechars_html and truncatewords_html
    template filters
    - debian/patches/CVE-2018-7537.patch: fix backtracking in
      django/utils/text.py, add test to tests/utils_tests/test_text.py.
    - CVE-2018-7537

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 05 Mar 2018 15:52:37 +0100

python-django (1.6.11-0ubuntu1.1) trusty-security; urgency=medium

  * SECURITY UPDATE: Open redirect and possible XSS attack via
    user-supplied numeric redirect URLs
    - debian/patches/CVE-2017-7233.patch: fix is_safe_url() with numeric
      URLs in django/utils/http.py, added tests to
      tests/utils_tests/test_http.py.
    - CVE-2017-7233
  * SECURITY UPDATE: Open redirect vulnerability in
    django.views.static.serve()
    - debian/patches/CVE-2017-7234.patch: remove redirect from
      django/views/static.py.
    - CVE-2017-7234

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 29 Mar 2017 07:38:12 -0400

python-django (1.6.11-0ubuntu1) trusty; urgency=medium

  * Update to final upstream 1.6 microrelease (LP: #1644346)
  * Drop patches included upstream:
    - debian/patches/07_translation_encoding_fix.diff, ticket21869.diff,
      CVE-2014-0472.patch, CVE-2014-0473.patch, CVE-2014-0474.patch,
      CVE-2014-0472-regression.patch, drop_fix_ie_for_vary_1_6.diff,
      is_safe_url_1_6.diff, CVE-2014-0480.patch, CVE-2014-0481.patch,
      CVE-2014-0482.patch, CVE-2014-0483.patch, CVE-2014-0483-bug23329.patch,
      CVE-2014-0483-bug23431.patch, CVE-2015-0219.patch, CVE-2015-0220.patch,
      CVE-2015-0221.patch, CVE-2015-0222.patch, CVE-2015-2316.patch, and
      CVE-2015-2317.patch

 -- Scott Kitterman <scott@kitterman.com>  Wed, 23 Nov 2016 14:41:31 -0500

python-django (1.6.1-2ubuntu0.16) trusty-security; urgency=medium

  * SECURITY UPDATE: user with hardcoded password created when running
    tests on Oracle
    - debian/patches/CVE-2016-9013.patch: remove hardcoded password in
      django/db/backends/oracle/creation.py, added note to
      docs/ref/settings.txt.
    - CVE-2016-9013
  * SECURITY UPDATE: DNS rebinding vulnerability when DEBUG=True
    - debian/patches/CVE-2016-9014.patch: properly check ALLOWED_HOSTS in
      django/http/request.py, updated docs/ref/settings.txt, added test to
      tests/requests/tests.py.
    - CVE-2016-9014

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 31 Oct 2016 10:14:20 -0400

python-django (1.6.1-2ubuntu0.15) trusty-security; urgency=medium

  * SECURITY UPDATE: CSRF protection bypass on a site with Google Analytics
    - debian/patches/CVE-2016-7401.patch: simplify cookie parsing in
      django/http/cookie.py, add tests to tests/httpwrappers/tests.py,
      tests/requests/tests.py.
    - CVE-2016-7401

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 26 Sep 2016 07:36:53 -0400

python-django (1.6.1-2ubuntu0.14) trusty-security; urgency=medium

  * SECURITY REGRESSION: is_safe_url() with non-unicode url (LP: #1553251)
    - debian/patches/CVE-2016-2512-regression.patch: updated to final
      upstream fix.
    - CVE-2016-2512

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 07 Mar 2016 08:50:01 -0500

python-django (1.6.1-2ubuntu0.13) trusty-security; urgency=medium

  * SECURITY REGRESSION: is_safe_url() with non-unicode url (LP: #1553251)
    - debian/patches/CVE-2016-2512-regression.patch: force url to unicode
      in django/utils/http.py, added test to
      tests/utils_tests/test_http.py.
    - CVE-2016-2512

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 04 Mar 2016 11:07:40 -0500

python-django (1.6.1-2ubuntu0.12) trusty-security; urgency=medium

  * SECURITY UPDATE: malicious redirect and possible XSS attack via
    user-supplied redirect URLs containing basic auth
    - debian/patches/CVE-2016-2512.patch: prevent spoofing in
      django/utils/http.py, added test to tests/utils_tests/test_http.py.
    - CVE-2016-2512
  * SECURITY UPDATE: user enumeration through timing difference on password
    hasher work factor upgrade
    - debian/patches/CVE-2016-2513.patch: fix timing in
      django/contrib/auth/hashers.py, added note to
      docs/topics/auth/passwords.txt, added tests to
      django/contrib/auth/tests/test_hashers.py.
    - debian/control: added python-mock to Build-Depends
    - CVE-2016-2513

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 25 Feb 2016 14:41:20 -0500

python-django (1.6.1-2ubuntu0.11) trusty-security; urgency=medium

  * SECURITY UPDATE: Settings leak possibility in date template filter
    - debian/patches/CVE-2015-8213.patch: check format type in
      django/utils/formats.py, added test to tests/i18n/tests.py.
    - CVE-2015-8213

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 18 Nov 2015 15:15:27 -0500

python-django (1.6.1-2ubuntu0.10) trusty-security; urgency=medium

  * SECURITY UPDATE: denial of service by filling session store
    - debian/patches/CVE-2015-596x.patch: don't create empty sessions in
      django/contrib/sessions/backends/base.py,
      django/contrib/sessions/backends/cached_db.py,
      django/contrib/sessions/middleware.py, added tests to
      django/contrib/sessions/tests.py, updated docs in
      docs/topics/http/sessions.txt. 
    - CVE-2015-5963
    - CVE-2015-5964

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 13 Aug 2015 11:49:44 -0400



=== debian/control ===
Source: python-django
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Luke Faraone <lfaraone@debian.org>,
 Raphaël Hertzog <hertzog@debian.org>,
 Chris Lamb <lamby@debian.org>
Standards-Version: 3.9.5
Build-Depends: debhelper (>= 9), python (>= 2.6.6-3~), python-sphinx (>= 1.0.8), locales (>= 0), python-mock
Build-Depends-Indep: libjs-jquery
Homepage: http://www.djangoproject.com/
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-django/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-django/trunk/

Package: python-django
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Recommends: libjs-jquery
Suggests: python-psycopg2, python-psycopg, python-mysqldb, python-flup, python-sqlite, python-yaml, geoip-database-contrib, gettext, python-django-doc, ipython, bpython, libgdal1
Description: High-level Python web development framework
 Django is a high-level web application framework that loosely follows the
 model-view-controller design pattern.
 .
 Python's equivalent to Ruby on Rails, Django lets you build complex
 data-driven websites quickly and easily - Django focuses on automating as much
 as possible and adhering to the "Don't Repeat Yourself" (DRY) principle.
 .
 Django additionally emphasizes reusability and "pluggability" of components;
 many generic third-party "applications" are available to enhance projects or
 to simply to reduce development time even further.
 .
 Notable features include:
  * An object-relational mapper (ORM)
  * Automatic admin interface
  * Elegant URL dispatcher
  * Form serialization and validation system
  * Templating system
  * Lightweight, standalone web server for development and testing
  * Internationalization support
  * Testing framework and client

Package: python-django-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: High-level Python web development framework (documentation)
 Django is a high-level web application framework that loosely follows the
 model-view-controller design pattern.
 .
 Python's equivalent to Ruby on Rails, Django lets you build complex
 data-driven websites quickly and easily - Django focuses on automating as much
 as possible and adhering to the "Don't Repeat Yourself" (DRY) principle.
 .
 Django additionally emphasizes reusability and "pluggability" of components;
 many generic third-party "applications" are available to enhance projects or
 to simply to reduce development time even further.
 .
 This package contains the HTML documentation and example projects.

## python-django 1.7.1

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    ?=
SPHINXBUILD   ?= sphinx-build
PAPER         ?=
BUILDDIR      ?= _build
LANGUAGE      ?=

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -n -d $(BUILDDIR)/doctrees -D language=$(LANGUAGE) $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make a Texinfo source file"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  spelling   to check for typos in documentation"


clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b djangohtml $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/django.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/django.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/django"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/django"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished; the Texinfo files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

spelling:
	$(SPHINXBUILD) -b spelling $(ALLSPHINXOPTS) $(BUILDDIR)/spelling
	@echo
	@echo "Check finished. Wrong words can be found in " \
		"$(BUILDDIR)/spelling/output.txt."

=== debian/changelog ===
python-django (1.7.1-1~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.

 -- Evgeni Golov <evgeni@debian.org>  Sun, 21 Dec 2014 22:20:38 +0100

python-django (1.7.1-1) unstable; urgency=medium

  [ Raphaël Hertzog ]
  * New upstream bugfix release.
  * Drop 01_fix_test_loaddata_not_existant_fixture_file.patch, merged
    upstream.
  * Update Standards-Version to 3.9.6.
  * Add lintian overrides for package-contains-timestamped-gzip (false
    positive).

  [ Brian May ]
  * Fix django-admin wrapper to not even consider using python 2.6 as
    that version is unsupported with Django 1.7.

 -- Raphaël Hertzog <hertzog@debian.org>  Mon, 27 Oct 2014 16:37:41 +0100

python-django (1.7-3) unstable; urgency=medium

  * Add 01_fix_test_loaddata_not_existant_fixture_file.patch
    to fix FTBFS with Python 3.4.2. Closes: #765117
  * Improve migrate-south script to look for Python files in the current dir.
    ./manage.py implicitely has the current directory but when we use
    django-admin it's not the case. Thanks to Uwe Kleine-Koenig for the
    report.

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 15 Oct 2014 10:45:27 +0200

python-django (1.7-2~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.
  * Disable some build-depends not available in wheezy.

 -- Raphaël Hertzog <hertzog@debian.org>  Sun, 05 Oct 2014 17:22:45 +0200

python-django (1.7-2) unstable; urgency=medium

  * Release to unstable.
  * Add a migrate-south sample script to help users apply their South
    migrations. Thanks to Brian May.

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 17 Sep 2014 14:15:11 +0200

python-django (1.7-1) experimental; urgency=medium

  * New major upstream release.
  * Add a NEWS file to document the incompatibility with South.

 -- Raphaël Hertzog <hertzog@debian.org>  Mon, 08 Sep 2014 10:19:12 +0200

python-django (1.7~c3-1) experimental; urgency=medium

  * New upstream release candidate with security fixes:
    https://www.djangoproject.com/weblog/2014/aug/20/security/

 -- Raphaël Hertzog <hertzog@debian.org>  Fri, 22 Aug 2014 22:50:32 +0200

python-django (1.7~c2-2) experimental; urgency=medium

  * Merge changes from 1.6.5-4:
    * Don't output stuff to stdout in django-admin. Closes: #757145
    * Update Vcs-* fields since the packaging repository moved to git.

 -- Raphaël Hertzog <hertzog@debian.org>  Fri, 08 Aug 2014 14:26:47 +0200

python-django (1.7~c2-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 30 Jul 2014 20:47:10 +0200

python-django (1.7~c1+20140722-2) experimental; urgency=medium

  * Move django-admin manual page in python-django-common. Bump version
    constraint in Breaks/Replaces accordingly.
  * Drop conflicting django-admin in python-django and python3-django that
    were not removed as usual because upstream stopped installing them as
    django-admin.py.
  * Drop extra license files.
  * Fix shebang lines in python3-django.
  * Drop empty left-over /usr/bin directories in python-django/python3-django.

 -- Raphaël Hertzog <hertzog@debian.org>  Tue, 22 Jul 2014 23:29:30 +0200

python-django (1.7~c1+20140722-1) experimental; urgency=medium

  * New upstream release candidate. We want this version in jessie so we
    should prepare now.
  * Snapshot tarball generated with "python setup.py sdist" after having
    applied fix submitted in https://code.djangoproject.com/ticket/23072
  * Added python-sqlparse, python-tz to Recommends
  * Added other optional dependencies (python-memcache, python-pil,
    python-bcrypt) to Suggests
  * Add all those dependencies in Build-Depends for the benefit of the
    test suite.
  * Run the test suite for python2 and python3.
  * Differentiate descriptions of python2 and python3 packages. 

 -- Raphaël Hertzog <hertzog@debian.org>  Mon, 21 Jul 2014 21:57:07 +0200

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,37 @@
 Source: python-django
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Luke Faraone <lfaraone@debian.org>,
  Raphaël Hertzog <hertzog@debian.org>,
- Chris Lamb <lamby@debian.org>
-Standards-Version: 3.9.5
-Build-Depends: debhelper (>= 9), python (>= 2.6.6-3~), python-sphinx (>= 1.0.8), locales (>= 0), python-mock
+ Chris Lamb <lamby@debian.org>,
+ Brian May <bam@debian.org>
+Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 9), dh-python, python-all (>= 2.6.6-3~), python3-all, python-sphinx (>= 1.0.8), locales (>= 0),
+# Needed to enable supplementary tests in test suite
+# python-bcrypt, python3-bcrypt, # Not in wheezy
+ python-docutils, python3-docutils,
+ python-numpy, python3-numpy,
+# python-pil, python3-pil, # Not in wheezy
+ python-yaml, python3-yaml,
+ python-tz, python3-tz,
+ python-setuptools, python3-setuptools,
+# python-memcache, python3-memcache, memcached, # we can't rely on running daemon
+ python-sqlparse,
+# python3-sqlparse, # Not in wheezy
+# python-selenium in theory too... but it's not properly packaged
 Build-Depends-Indep: libjs-jquery
 Homepage: http://www.djangoproject.com/
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-django/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-django/trunk/
+Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-django.git
+Vcs-Browser: http://anonscm.debian.org/cgit/python-modules/packages/python-django.git
+X-Python-Version: >= 2.7
 
 Package: python-django
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}
-Recommends: libjs-jquery
-Suggests: python-psycopg2, python-psycopg, python-mysqldb, python-flup, python-sqlite, python-yaml, geoip-database-contrib, gettext, python-django-doc, ipython, bpython, libgdal1
-Description: High-level Python web development framework
+Depends: ${misc:Depends}, ${python:Depends}, python-django-common (= ${binary:Version})
+Recommends: libjs-jquery, python-sqlparse, python-tz
+Suggests: python-psycopg2, python-mysqldb, python-flup, python-sqlite, python-memcache, python-pil, python-bcrypt, python-yaml, geoip-database-contrib, gettext, python-django-doc, ipython, bpython, libgdal1
+Description: High-level Python web development framework (Python 2 version)
  Django is a high-level web application framework that loosely follows the
  model-view-controller design pattern.
  .
@@ -39,6 +52,57 @@
   * Lightweight, standalone web server for development and testing
   * Internationalization support
   * Testing framework and client
+ .
+ This package is built for Python 2.
+
+Package: python3-django
+Architecture: all
+Depends: ${misc:Depends}, ${python3:Depends}, python-django-common (= ${binary:Version})
+Recommends: libjs-jquery, python3-sqlparse, python3-tz
+Suggests: python3-psycopg2, python3-mysqldb, python3-flup, python3-sqlite, python3-memcache, python3-pil, python3-bcrypt, python3-yaml, geoip-database-contrib, gettext, python-django-doc, ipython3, bpython3, libgdal1
+Description: High-level Python web development framework (Python 3 version)
+ Django is a high-level web application framework that loosely follows the
+ model-view-controller design pattern.
+ .
+ Python's equivalent to Ruby on Rails, Django lets you build complex
+ data-driven websites quickly and easily - Django focuses on automating as much
+ as possible and adhering to the "Don't Repeat Yourself" (DRY) principle.
+ .
+ Django additionally emphasizes reusability and "pluggability" of components;
+ many generic third-party "applications" are available to enhance projects or
+ to simply to reduce development time even further.
+ .
+ Notable features include:
+  * An object-relational mapper (ORM)
+  * Automatic admin interface
+  * Elegant URL dispatcher
+  * Form serialization and validation system
+  * Templating system
+  * Lightweight, standalone web server for development and testing
+  * Internationalization support
+  * Testing framework and client
+ .
+ This package is built for Python 3.
+
+Package: python-django-common
+Architecture: all
+Depends: ${misc:Depends}
+Recommends: libjs-jquery
+Breaks: python-django (<< 1.7~)
+Replaces: python-django (<< 1.7~)
+Description: High-level Python web development framework (common)
+ Django is a high-level web application framework that loosely follows the
+ model-view-controller design pattern.
+ .
+ Python's equivalent to Ruby on Rails, Django lets you build complex
+ data-driven websites quickly and easily - Django focuses on automating as much
+ as possible and adhering to the "Don't Repeat Yourself" (DRY) principle.
+ .
+ Django additionally emphasizes reusability and "pluggability" of components;
+ many generic third-party "applications" are available to enhance projects or
+ to simply to reduce development time even further.
+ .
+ This package contains files common to both Python 2.7 and Python 3.
 
 Package: python-django-doc
 Section: doc

## python-django 1.7.6

=== debian/changelog ===
python-django (1.7.6-1ubuntu2.3~cloud0) trusty-kilo; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 25 Nov 2015 06:56:43 +0000

python-django (1.7.6-1ubuntu2.3) vivid-security; urgency=medium

  * SECURITY UPDATE: Settings leak possibility in date template filter
    - debian/patches/CVE-2015-8213.patch: check format type in
      django/utils/formats.py, added test to tests/i18n/tests.py.
    - CVE-2015-8213

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 18 Nov 2015 15:13:51 -0500

python-django (1.7.6-1ubuntu2.2) vivid-security; urgency=medium

  * SECURITY UPDATE: denial of service by filling session store
    - debian/patches/CVE-2015-596x.patch: don't create empty sessions in
      django/contrib/sessions/backends/base.py,
      django/contrib/sessions/backends/cached_db.py,
      django/contrib/sessions/middleware.py, added tests to
      django/contrib/sessions/tests.py, updated docs in
      docs/topics/http/sessions.txt. 
    - CVE-2015-5963
    - CVE-2015-5964

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 13 Aug 2015 11:25:02 -0400

python-django (1.7.6-1ubuntu2.1) vivid-security; urgency=medium

  * SECURITY UPDATE: denial of service via empty session records
    - debian/patches/CVE-2015-5143.patch: avoid creating a session record
      when loading the session in
      django/contrib/sessions/backends/cache.py,
      django/contrib/sessions/backends/cached_db.py,
      django/contrib/sessions/backends/db.py,
      django/contrib/sessions/backends/file.py,
      added test to django/contrib/sessions/tests.py.
    - CVE-2015-5143
  * SECURITY UPDATE: header injection via newlines
    - debian/patches/CVE-2015-5144.patch: check for newlines in
      django/core/validators.py, added tests to tests/validators/tests.py.
    - CVE-2015-5144

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 02 Jul 2015 10:53:48 -0400

python-django (1.7.6-1ubuntu2) vivid; urgency=medium

  * SECURITY UPDATE: denial-of-service possibility with strip_tags
    - debian/patches/CVE-2015-2316.patch: fix infinite loop possibility
      in django/utils/html.py, added test to
      tests/utils_tests/test_html.py.
    - CVE-2015-2316
  * SECURITY UPDATE: XSS attack via user-supplied redirect URLs
    - debian/patches/CVE-2015-2317.patch: reject URLs that start with
      control characters in django/utils/http.py, added test to
      tests/utils_tests/test_http.py.
    - CVE-2015-2317

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 20 Mar 2015 10:18:12 -0400

python-django (1.7.6-1ubuntu1) vivid; urgency=medium

  * Merge with Debian; remaining changes:
    - debian/patches/99_fix_multipart_base64_decoding_large_files.patch:
      Fix Multipart base64 file decoding with large files ensuring that the
      actual base64 content has a length a multiple of 4.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 11 Mar 2015 10:28:41 -0400

python-django (1.7.6-1) unstable; urgency=high

  * New upstream security release:
    https://www.djangoproject.com/weblog/2015/mar/09/security-releases/
  * Fixes CVE-2015-2241: XSS attack via properties in
    ModelAdmin.readonly_fields

 -- Raphaël Hertzog <hertzog@debian.org>  Mon, 09 Mar 2015 21:40:34 +0100

python-django (1.7.5-1) unstable; urgency=medium

  [ Chris Lamb ]
  * Remove myself from Uploaders.

  [ Raphaël Hertzog ]
  * New upstream bugfix release:
    https://docs.djangoproject.com/en/1.7/releases/1.7.5/

 -- Raphaël Hertzog <hertzog@debian.org>  Fri, 06 Mar 2015 21:13:54 +0100

python-django (1.7.4-1ubuntu1) vivid; urgency=medium

  * Merge with Debian; remaining changes:
    - debian/patches/99_fix_multipart_base64_decoding_large_files.patch:
      Fix Multipart base64 file decoding with large files ensuring that the
      actual base64 content has a length a multiple of 4.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 Mar 2015 20:34:47 +0100

python-django (1.7.4-1) unstable; urgency=medium

  * Release to unstable and hopefully to Jessie too.

 -- Raphaël Hertzog <hertzog@debian.org>  Mon, 09 Feb 2015 10:39:15 +0100

python-django (1.7.4-1~exp1) experimental; urgency=medium

  * New upstream bugfix release.
  * Drop fix-24193-python34-test-failure.diff, merged upstream.

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 28 Jan 2015 09:38:24 +0100

python-django (1.7.3-1~exp1) experimental; urgency=high

  [ Luke Faraone ]
  * New upstream security release.
    - WSGI header spoofing via underscore/dash conflation (CVE-2015-0219)
    - Possible XSS attack via user-supplied redirect URLs (CVE-2015-0220)
    - DoS attack against django.views.static.serve (CVE-2015-0221)
    - Database DoS with ModelMultipleChoiceField (CVE-2015-0222)
    Closes: #775375

  [ Raphaël Hertzog ]
  * Add patch fix-24193-python34-test-failure.diff to fix a test failure with
    Python3.4.

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 21 Jan 2015 09:56:19 +0100

python-django (1.7.2-1) experimental; urgency=medium

  [ Raphaël Hertzog ]
  * Add geoip-database-extra as an alternative to geoip-database-contrib.

  [ Brian May ]
  * New upstream version.

 -- Brian May <bam@debian.org>  Mon, 05 Jan 2015 13:57:16 +1100

python-django (1.6.6-1ubuntu3) vivid; urgency=medium

  * SECURITY UPDATE: WSGI header spoofing via underscore/dash conflation
    - debian/patches/CVE-2015-0219.patch: strip headers with underscores in
      django/core/servers/basehttp.py, added blurb to
      docs/howto/auth-remote-user.txt, added test to
      tests/servers/test_basehttp.py.
    - CVE-2015-0219
  * SECURITY UPDATE: Mitigated possible XSS attack via user-supplied
    redirect URLs
    - debian/patches/CVE-2015-0220.patch: filter url in
      django/utils/http.py, added test to tests/utils_tests/test_http.py.
    - CVE-2015-0220
  * SECURITY UPDATE: Denial-of-service attack against
    django.views.static.serve


=== debian/control ===
--- 
+++ 
@@ -1,24 +1,23 @@
 Source: python-django
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Luke Faraone <lfaraone@debian.org>,
  Raphaël Hertzog <hertzog@debian.org>,
- Chris Lamb <lamby@debian.org>,
  Brian May <bam@debian.org>
 Standards-Version: 3.9.6
 Build-Depends: debhelper (>= 9), dh-python, python-all (>= 2.6.6-3~), python3-all, python-sphinx (>= 1.0.8), locales (>= 0),
 # Needed to enable supplementary tests in test suite
-# python-bcrypt, python3-bcrypt, # Not in wheezy
+ python-bcrypt, python3-bcrypt,
  python-docutils, python3-docutils,
  python-numpy, python3-numpy,
-# python-pil, python3-pil, # Not in wheezy
+ python-pil, python3-pil,
  python-yaml, python3-yaml,
  python-tz, python3-tz,
  python-setuptools, python3-setuptools,
 # python-memcache, python3-memcache, memcached, # we can't rely on running daemon
- python-sqlparse,
-# python3-sqlparse, # Not in wheezy
+ python-sqlparse, python3-sqlparse,
 # python-selenium in theory too... but it's not properly packaged
 Build-Depends-Indep: libjs-jquery
 Homepage: http://www.djangoproject.com/
@@ -30,7 +29,7 @@
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends}, python-django-common (= ${binary:Version})
 Recommends: libjs-jquery, python-sqlparse, python-tz
-Suggests: python-psycopg2, python-mysqldb, python-flup, python-sqlite, python-memcache, python-pil, python-bcrypt, python-yaml, geoip-database-contrib, gettext, python-django-doc, ipython, bpython, libgdal1
+Suggests: python-psycopg2, python-mysqldb, python-flup, python-sqlite, python-memcache, python-pil, python-bcrypt, python-yaml, geoip-database-extra | geoip-database-contrib, gettext, python-django-doc, ipython, bpython, libgdal1
 Description: High-level Python web development framework (Python 2 version)
  Django is a high-level web application framework that loosely follows the
  model-view-controller design pattern.

## python-django 1.7.7

=== debian/changelog ===
python-django (1.7.7-1) unstable; urgency=high

  * New upstream security and bugfix release:
    https://www.djangoproject.com/weblog/2015/mar/18/security-releases/
    It fixes:
    - CVE-2015-2317: possible XSS attack via user-supplied redirect URLs
      Closes: #780873
    - CVE-2015-2316: Denial-of-service possibility with strip_tags()
      Closes: #780874

 -- Raphaël Hertzog <hertzog@debian.org>  Mon, 23 Mar 2015 20:41:13 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: python-django
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Luke Faraone <lfaraone@debian.org>,
  Raphaël Hertzog <hertzog@debian.org>,
  Brian May <bam@debian.org>

## python-django 1.7.9

=== debian/changelog ===
python-django (1.7.9-1ubuntu5) wily; urgency=medium

  * d/p/0004-Added-a-dummy-class-for-HTMLParserError.patch: cherry-pick from
    Debian 1.7.10-1 (which was cherry-picked from upstream) to fix FTBFS of
    some reverse dependencies such as python-jingo. This partially restores an
    API accidentally lost by the transition to Python 3.5 so may also fix other
    yet-unknown runtime bugs in dependent packages.

 -- Robie Basak <robie.basak@ubuntu.com>  Tue, 20 Oct 2015 13:15:00 +0000

python-django (1.7.9-1ubuntu4) wily; urgency=medium

  * debian/patches/pymysql-replacement.patch: Use pymysql as drop in
    replacement for MySQLdb.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 25 Aug 2015 15:06:09 -0400

python-django (1.7.9-1ubuntu3) wily; urgency=medium

  * debian/control: Drop python-mysqldb in favor of python-pymysql.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 24 Aug 2015 11:01:47 -0400

python-django (1.7.9-1ubuntu2) wily; urgency=medium

  * SECURITY UPDATE: denial of service by filling session store
    - debian/patches/CVE-2015-596x.patch: don't create empty sessions in
      django/contrib/sessions/backends/base.py,
      django/contrib/sessions/backends/cached_db.py,
      django/contrib/sessions/middleware.py, added tests to
      django/contrib/sessions/tests.py, updated docs in
      docs/topics/http/sessions.txt. 
    - CVE-2015-5963
    - CVE-2015-5964

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 20 Aug 2015 15:59:13 -0400

python-django (1.7.9-1ubuntu1) wily; urgency=medium

  * Merge with Debian; remaining changes:
    - debian/patches/99_fix_multipart_base64_decoding_large_files.patch:
      Fix Multipart base64 file decoding with large files ensuring that the
      actual base64 content has a length a multiple of 4.
  * Removed patches included in new version:
    - debian/patches/fix_sqlite_ftbfs.patch
    - debian/patches/fix_ftbfs_python2710.patch

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 09 Jul 2015 07:50:08 -0400

python-django (1.7.9-1) unstable; urgency=medium

  * New upstream security release:
    https://www.djangoproject.com/weblog/2015/jul/08/security-releases/
    It fixes:
    - CVE-2015-5143: possible denial-of-service by filling session store
    - CVE-2015-5144: possible header injection since validators accept
      newlines in input

 -- Raphaël Hertzog <hertzog@debian.org>  Thu, 09 Jul 2015 01:33:31 +0200

python-django (1.7.7-1ubuntu1) wily; urgency=medium

  * Merge with Debian; remaining changes:
    - debian/patches/99_fix_multipart_base64_decoding_large_files.patch:
      Fix Multipart base64 file decoding with large files ensuring that the
      actual base64 content has a length a multiple of 4.
  * Removed patches included in new version:
    - debian/patches/CVE-2015-2316.patch
    - debian/patches/CVE-2015-2317.patch
  * debian/patches/fix_sqlite_ftbfs.patch: fix FTBFS with newer SQLite.
  * debian/patches/fix_ftbfs_python2710.patch: fix FTBFS with newer python.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 26 Jun 2015 08:58:01 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-django
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Luke Faraone <lfaraone@debian.org>,
  Raphaël Hertzog <hertzog@debian.org>,
  Brian May <bam@debian.org>
@@ -28,7 +29,7 @@
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends}, python-django-common (= ${binary:Version})
 Recommends: libjs-jquery, python-sqlparse, python-tz
-Suggests: python-psycopg2, python-mysqldb, python-flup, python-sqlite, python-memcache, python-pil, python-bcrypt, python-yaml, geoip-database-extra | geoip-database-contrib, gettext, python-django-doc, ipython, bpython, libgdal1
+Suggests: python-psycopg2, python-pymysql, python-flup, python-sqlite, python-memcache, python-pil, python-bcrypt, python-yaml, geoip-database-extra | geoip-database-contrib, gettext, python-django-doc, ipython, bpython, libgdal1
 Description: High-level Python web development framework (Python 2 version)
  Django is a high-level web application framework that loosely follows the
  model-view-controller design pattern.
@@ -57,7 +58,7 @@
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends}, python-django-common (= ${binary:Version})
 Recommends: libjs-jquery, python3-sqlparse, python3-tz
-Suggests: python3-psycopg2, python3-mysqldb, python3-flup, python3-sqlite, python3-memcache, python3-pil, python3-bcrypt, python3-yaml, geoip-database-contrib, gettext, python-django-doc, ipython3, bpython3, libgdal1
+Suggests: python3-psycopg2, python3-pymysql, python3-flup, python3-sqlite, python3-memcache, python3-pil, python3-bcrypt, python3-yaml, geoip-database-contrib, gettext, python-django-doc, ipython3, bpython3, libgdal1
 Description: High-level Python web development framework (Python 3 version)
  Django is a high-level web application framework that loosely follows the
  model-view-controller design pattern.
